Bug 836970 - Error in gcalctool parser, wrong associations with square
Error in gcalctool parser, wrong associations with square
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-calculator (Show other bugs)
7.0
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Alexander Larsson
Desktop QE
:
Depends On: 833006
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 07:15 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 833006
Environment:
Last Closed: 2013-07-29 03:54:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2012-07-02 07:15:18 EDT
+++ This bug was initially created as a clone of Bug #833006 +++

Description of problem:
If I do not enter any binary operator, the gcalctool thinks it's only one token entered, that's wrong.

Version-Release number of selected component (if applicable):
gcalctool-6.4.2.1-1.fc17.i686

How reproducible:
100%

Steps to Reproduce:
1. 2(-3)^2
2.
3.
  
Actual results:
36

Expected results:
18

Additional info:
-3^2 should give me -9, not 9.. The square is associated from right, it means -3^2 it's the same as -(3)^2, not (-3)^2 as gcalctool pretends. Only way how to reach -9 is to enter -1*3^2 and that's really ugly solution.
Comment 3 Martin Simon 2013-07-29 03:54:59 EDT
The bug is not present in the latest gnome-calculator (gnome-calculator-3.8.2-1.el7.x86_64). Closing this bug as fixed then

Note You need to log in before you can comment on or make changes to this bug.